/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "../../../libs.h"
#include "../../../vn/vncharacter.h"
#include "../../../display/texture.h"
#include "jenny.h"
#include "julie.h"
#include "lucy.h"
#include "penny.h"
#include "sammy.h"

typedef void pokercharacterinitmethod_t(vncharacter_t *c);

typedef struct {
  char *name;
  char *fileTexture;
  pokercharacterinitmethod_t *init;
} pokercharacterdefinition_t;

#define POKER_CHARACTER_DEFINITIONS_COUNT 0x05
extern pokercharacterdefinition_t POKER_CHARACTER_DEFINITIONS[];

void pokerCharacterInit(vncharacter_t *crctr, texture_t *txtr, uint8_t i);