/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "loadingscene.h"

void loadingSceneInit(
  loadingscene_t *scene,
  assetmanager_t *assetManager
) {
  scene->manager = assetManager;
}

void loadingSceneStart(loadingscene_t *scene) {
  assetManagerStart(scene->manager);
}

bool loadingSceneUpdate(loadingscene_t *scene) {
  assetManagerUpdate(scene->manager);
  return scene->manager->finished;
}

void loadingSceneRender(loadingscene_t *scene) {

}

void loadingSceneDispose(loadingscene_t *scene) {
  
}